Skip to content
Proud to collaborate with Microsoft for Startups

docusign.bulk-send.put-bulk-send-list ​

This method replaces the definition of an existing bulk send list.

Updates a bulk send list.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
bulksendlistidstringYes—The GUID of the bulk send list. This property is created after you post a new bulk send list.
bulkcopieslistNo—An array of bulkCopy objects. Each object represents an instance or copy of an envelope and contains details such as the recipient, custom fields, tabs, and other information.
listidstringNo—The GUID of the bulk send list.
namestringNo—The name of the bulk send list.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
bulksendlistidstringYes—The GUID of the bulk send list. This property is created after you post a new bulk send list.
bulkcopieslistNo—An array of bulkCopy objects. Each object represents an instance or copy of an envelope and contains details such as the recipient, custom fields, tabs, and other information.
listidstringNo—The GUID of the bulk send list.
namestringNo—The name of the bulk send list.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/bulk_send_lists/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/bulk_send_lists/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.bulk-send.put-bulk-send-list",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "bulksendlistid": "value"
  }
}